> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v2/extranet/sites-consumption-overview > Get extranet service consumption overview over timewindow ## OpenAPI ````json POST /v2/extranet/sites-consumption-overview { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v2/extranet/sites-consumption-overview": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2ExtranetSitesConsumptionOverviewPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2ExtranetSitesConsumptionOverviewPostResponse" } } } } }, "description": "Get extranet service consumption overview over timewindow" } } }, "components": { "schemas": { "v2ExtranetSitesConsumptionOverviewPostRequest": { "type": "object", "properties": { "customerName": { "type": "string", "example": "Customer 1", "description": "a filter to get usage for a specific customer" }, "flippedView": { "type": "boolean", "example": true, "description": "whether to view the data from the consumer's perspective (true) or the provider's perspective (false) (required)" }, "id": { "type": "integer", "format": "int64", "example": 1, "description": "the id associated with an entity - consumer_id for consumer, and service_id for the producer/service (required)" }, "isB2B": { "type": "boolean", "example": true, "description": "whether the entity is a b2b entity (true for b2b entity, false for local extranet entity) (required)" }, "isProvider": { "type": "boolean", "example": true, "description": "whether the entity is a provider or consumer (required)" }, "siteId": { "type": "integer", "format": "int64", "example": 1, "description": "a filter to get usage for a specific site" }, "timeWindow": { "$ref": "#/components/schemas/statsmonTimeWindow" }, "vrfId": { "type": "integer", "format": "int64", "example": 1, "description": "a filter to get usage for a specific vrf" } }, "additionalProperties": false, "required": [ "flippedView", "id", "isB2B", "isProvider", "timeWindow" ] }, "v2ExtranetSitesConsumptionOverviewPostResponse": { "type": "object", "properties": { "lanSegments": { "type": "array", "items": { "$ref": "#/components/schemas/ipfixConnectionMap" } }, "regions": { "type": "array", "items": { "$ref": "#/components/schemas/ipfixConnectionMap" } }, "sites": { "type": "array", "items": { "$ref": "#/components/schemas/ipfixConnectionMap" } }, "totalUsage": { "type": "number", "format": "double", "example": 1000000, "description": "total service usage in kilo bytes" } }, "additionalProperties": false }, "statsmonTimeWindow": { "type": "object", "properties": { "bucketSizeSec": { "type": "integer", "format": "int32", "example": 300, "minimum": 0, "description": "the size of the time window in seconds (required)" }, "oldTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "recentTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false, "required": [ "bucketSizeSec" ] }, "ipfixConnectionMap": { "type": "object", "properties": { "connections": { "type": "object", "additionalProperties": { "type": "integer", "format": "int64", "example": 12345678910, "minimum": 0 } }, "connectionsV2": { "type": "object", "additionalProperties": { "type": "number", "format": "double", "example": 123.45 } }, "name": { "type": "string", "example": "Site 1", "description": "the name of the connection" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````